.contents {
  position: fixed;
  top: 50%;
  translate: 0 -50%;
  left: 0;
  z-index: 998;
  padding: 0.875rem clamp(var(--g6-mobile), 2vw, var(--g6-desktop));
  max-width: 240px;
  max-height: 70dvh;
  overflow: auto;
  overscroll-behavior: contain;
  border-radius: 0 12px 12px 0;
  scrollbar-width: none;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease, visibility 0.3s ease;
  font-size: var(--fs-14);
  line-height: var(--fs-14-line-height);
}

@media (max-width: 991px) {
  .contents {
    opacity: 0;
    visibility: hidden;
    top: 0;
    left: 0;
    width: 100%;
    max-width: 100%;
    height: 100dvh;
    max-height: 100dvh;
    translate: 0;
    background-color: var(--white);
    border-radius: 0;
    z-index: 998;
    padding-top: 0;
    font-size: var(--fs-16);
    line-height: var(--fs-16-line-height);
  }

  .contents--show {
    opacity: 1;
    visibility: visible;
  }
}

@media (min-width: 992px) {
  .contents--visible {
    opacity: 1;
    visibility: visible;
  }

  .contents:hover {
    background-color: color-mix(in oklab, var(--white) 72%, transparent);
    box-shadow: 0px 4px 24px 0px var(--box-shadow-color);
    backdrop-filter: blur(10px);
    scrollbar-color: var(--grey-shade-7) transparent;
    scrollbar-width: thin;
  }

  @supports not (backdrop-filter: blur(10px)) {
    .contents:hover {
      background-color: var(--white);
    }
  }

  .contents:hover .contents__text {
    display: inline;
  }

  .contents::-webkit-scrollbar {
    width: 0;
    height: 0;
  }

  .contents:hover::-webkit-scrollbar {
    width: 10px;
    height: 10px;
  }

  .contents:hover::-webkit-scrollbar-thumb {
    border-radius: 100vw;
    box-shadow: inset 0 0 3px 3px var(--grey-shade-7);
    border: solid 3px transparent;
  }
}

.contents__dot {
  width: 6px;
  height: 6px;
  flex: 0 0 6px;
  border-radius: 50%;
  background-color: var(--text-color);
}

.contents__text {
  display: none;
}

.contents__link {
  min-height: 42px;
}

@media (max-width: 991px) {
  .contents__text {
    display: block;
  }

  .contents__link {
    min-height: 56px;
    border-bottom: 1px solid var(--grey-shade-5);
  }
}

.contents__link.watch-link--active {
  color: var(--blue);
}

.watch-link--active .contents__dot {
  background-color: var(--blue);
}

.contents-toggle {
  position: fixed;
  z-index: 998;
  bottom: 1rem;
  left: 1rem;
  width: 40px;
  height: 40px;
  display: none;
  align-items: center;
  justify-content: center;
  transition: opacity 0.3s ease;
  background-color: var(--grey-shade-13);
}

.contents-toggle use {
  stroke: var(--white);
}

.contents-toggle--active {
  background-color: var(--light-grey-bg);
}

.contents-toggle--active use {
  stroke: var(--grey-shade-9);
}

@media (max-width: 991px) {
  .contents-toggle {
    display: flex;
    opacity: 0;
    visibility: hidden;
    transition: visibility 0.3s ease, opacity 0.3s ease;
  }

  .contents-toggle--visible {
    opacity: 1;
    visibility: visible;
  }
}
